Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Interface FunctionCollection.DelimitedBinding

All Superinterfaces:
  FunctionCollection.DataSourceBinding, java.io.Serializable

Enclosing interface:
  FunctionCollection

    public static interface FunctionCollection.DelimitedBinding

extends FunctionCollection.DataSourceBinding

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.ld.metadata.FunctionCollection.DataSourceBinding
`FunctionCollection.DataSourceBinding.Kind`

Method Summary
`java.lang.String` | `getContentFile()`
`java.lang.String` | `getDelimiter()`
`java.lang.Long` | `getFixedLength()`
`java.lang.String` | `getSchemaFile()`
`boolean` | `hasHeader()`
`boolean` | `isFixedLength()`

Methods inherited from interface com.bea.ld.metadata.FunctionCollection.DataSourceBinding
`getKind`

Method Detail

### getContentFile

    java.lang.String getContentFile()

  Returns:
    The delimited content file locator. May be `null`, if the schema file locator is not `null`.

### getSchemaFile

    java.lang.String getSchemaFile()

  Returns:
    The schema file locator. May be `null`, if the delimited content file locator is not `null`.

### isFixedLength

    boolean isFixedLength()

  Returns:
    `true`, if the value separation is based on fixed length; `false`, if the value separation is based on a delimiter

### getDelimiter

    java.lang.String getDelimiter()

  Returns:
    The delimiter. `null` if and only if the fixed length is not `null`.

### getFixedLength

    java.lang.Long getFixedLength()

  Returns:
    The fixed length value. `null` if and only if the delimiter is not `null`.

### hasHeader

    boolean hasHeader()

  Returns:
    `true` if the content has a header, otherwise `false`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.